using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Server.Core.API;
using ReallifeGamemode.Server.Core.API.API;

namespace ReallifeGamemode.Server.Core.RageMP
{
  class RageColShapeAPI : IColShapeAPI
  {
    public IColShape CreateCyclinder(Position position, float height, float range)
    {
      var colShape = NAPI.ColShape.CreateCylinderColShape(position.ToVector3(), range, height);
      return new RageColShape(colShape);
    }

    public IColShape CreateSphere(Position position, float range)
    {
      var colShape = NAPI.ColShape.CreateSphereColShape(position.ToVector3(), range);
      return new RageColShape(colShape);
    }
  }
}
